> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mrassistant.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Oauth Authorize

> Returns the OAuth authorization URL for the given provider.
Frontend should redirect the user to this URL.



## OpenAPI

````yaml https://api.mrassistant.ai/openapi.json get /auth/oauth/{provider}/authorize
openapi: 3.1.0
info:
  title: Backend - Multilingual Voice Agent System
  description: FastAPI backend for multilingual voice agents with tool use
  version: 1.0.0
servers: []
security: []
paths:
  /auth/oauth/{provider}/authorize:
    get:
      tags:
        - oauth
      summary: Oauth Authorize
      description: |-
        Returns the OAuth authorization URL for the given provider.
        Frontend should redirect the user to this URL.
      operationId: oauth_authorize_auth_oauth__provider__authorize_get
      parameters:
        - name: provider
          in: path
          required: true
          schema:
            type: string
            title: Provider
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/OAuthAuthorizeResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    OAuthAuthorizeResponse:
      properties:
        authorization_url:
          type: string
          title: Authorization Url
        provider:
          type: string
          title: Provider
        state:
          type: string
          title: State
      type: object
      required:
        - authorization_url
        - provider
        - state
      title: OAuthAuthorizeResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````